
Java Client - Task #4659

Story # 4654 (Closed): Independent review of d1_common_java

MonitorInfo.java has "import java.sql.Date"

2014-03-31 15:58 - Dave Vieglais

Status: Closed Start date: 2014-03-31

Priority: Normal Due date:  

Assignee: Rob Nahf % Done: 100%

Category: d1_common_java Estimated time: 0.00 hour

Target version: CLJ-2.0.0   

Story Points:    

Description

MonitorInfo.java has "import java.sql.Date"

- Looks suspicious (auto complete in error perhaps?), and suggest java.util.Date is better for an API

History

#1 - 2014-03-31 20:16 - Rob Nahf

- Category set to d1_common_java

- Assignee set to Robert Waltz

It's been that way since the first commit.  Robert, can you check if it's supposed to be that way?  For systemmetadata, for example, we use

java.util.date.

#2 - 2014-10-01 20:43 - Dave Vieglais

- Target version set to Release Backlog

#3 - 2015-02-11 20:06 - Rob Nahf

- Project changed from Infrastructure to Java Client

- Category changed from d1_common_java to d1_common_java

#4 - 2015-02-11 20:07 - Rob Nahf

- Assignee changed from Robert Waltz to Rob Nahf

#5 - 2016-08-19 23:21 - Rob Nahf

- % Done changed from 0 to 100

- translation missing: en.field_remaining_hours set to 0.0

- Status changed from New to Closed

changed to java.util.Date.  Will let jenkins find any errors.
